## hdf5 1.8.10-patch1

=== debian/changelog ===
hdf5 (1.8.10-patch1-1) unstable; urgency=low

  [ Helmut Grohne ]
  * Enable Multi-Arch:
    + Bump debhelper dependency to 8.1.3.
    + Add Multi-Arch:same markers and ${misc:Pre-Depends} to libraries.
    + Override --libdir for configure.
    + Updated .install files accordingly.
  (Closes: #708455)

  [ Sylvestre Ledru ]
  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 15 May 2013 22:57:42 +0200

hdf5 (1.8.10-patch1-1~exp3) experimental; urgency=low

  * Fix the FTBFS on powerpc, powerpcspe, and ppc64
  Many thanks to Hiroyuki Yamamoto & Roland Stigge
  (Closes: #701504)
  * Remove libhdf5-doc.doc-base (html doc is no longer provided)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Apr 2013 15:40:53 +0200

hdf5 (1.8.10-patch1-1~exp2) experimental; urgency=low

  * Fix the symbol list

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Jan 2013 11:21:30 +0100

hdf5 (1.8.10-patch1-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 26 Jan 2013 09:45:08 +0100
